Loading...
Searching...
No Matches
cxx::Pair_first_compare< Cmp, Typ > Class Template Reference

Comparison functor for Pair. More...

`#include <pair>`

Collaboration diagram for cxx::Pair_first_compare< Cmp, Typ >:

## Public Member Functions

| Pair_first_compare (Cmp const &cmp=Cmp())
| Construction.
bool | operator() (Typ const &l, Typ const &r) const
| Do the comparison based on the first value.

## Detailed Description

template<typename Cmp, typename Typ>
class cxx::Pair_first_compare< Cmp, Typ >

Comparison functor for Pair.

Parameters

  Cmp | Comparison functor for the first value of the pair.
  Typ | The pair type.

This functor can be used to compare Pair values with respect to the first value.

Definition at line 74 of file pair.

## Constructor & Destructor Documentation

## Pair_first_compare()

template<typename Cmp, typename Typ>

cxx::Pair_first_compare< Cmp, Typ >::Pair_first_compare | ( | Cmp const & | cmp = Cmp() | ) |

inline

Construction.

Parameters

  cmp | The comparison functor used for the first value.

Definition at line 84 of file pair.

## Member Function Documentation

## operator()()

template<typename Cmp, typename Typ>

bool cxx::Pair_first_compare< Cmp, Typ >::operator() | ( | Typ const & | l,
|  | Typ const & | r ) const

inline

Do the comparison based on the first value.

Parameters

  l | The lefthand value.
  r | The righthand value.

Definition at line 91 of file pair.

The documentation for this class was generated from the following file:

- l4/cxx/pair